<?php
/**
 * The detail view file of conversion of ZDOO.
 *
 * @copyright   Copyright 2009-2022 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      LiuRuoGu <liuruogu@easycorp.ltd>
 * @package     conversion
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<?php include '../../../sys/common/view/editor.html.php';?>
<table class='table table-bordered text-middle'>
  <tr>
    <th class='w-90px'><?php echo $lang->conversion->createdBy;?></th>
    <td><?php echo zget($users, $conversion->createdBy);?></td>
    <th class='w-90px'><?php echo $lang->conversion->createdDate;?></th>
    <td><?php echo $conversion->createdDate;?></td>
  </tr>
  <tr>
    <th class='w-90px'><?php echo $lang->conversion->days;?></th>
    <td><?php echo $conversion->year . $lang->year . ' ' . $conversion->days . $lang->date->day;?></td>
    <th class='w-90px'><?php echo $lang->conversion->status;?></th>
    <td><?php echo zget($lang->conversion->statusList, $conversion->status);?></td>
  </tr>
  <?php if(in_array($conversion->status, array('pass', 'reject', 'grant'))):?>
  <tr>
    <th class='w-90px'><?php echo $lang->conversion->reviewedBy;?></th>
    <td><?php echo zget($users, $conversion->reviewedBy);?></td>
    <th class='w-90px'><?php echo $lang->conversion->reviewedDate;?></th>
    <td><?php echo formatTime($conversion->reviewedDate);?></td>
  </tr>
  <?php if($conversion->status == 'reject'):?>
  <tr>
    <th class='w-90px'><?php echo $lang->conversion->reason;?></th>
    <td colspan='3'><?php echo $conversion->reason;?></td>
  </tr>
  <?php endif;?>
  <?php endif;?>
  <?php if($conversion->status == 'grant'):?>
  <tr>
    <th class='w-90px'><?php echo $lang->conversion->grantedBy;?></th>
    <td><?php echo zget($users, $conversion->grantedBy);?></td>
    <th class='w-90px'><?php echo $lang->conversion->grantedDate;?></th>
    <td><?php echo formatTime($conversion->grantedDate);?></td>
  </tr>
  <tr>
    <th class='w-90px'><?php echo $lang->conversion->desc;?></th>
    <td colspan='3'><?php echo $conversion->desc;?></td>
  </tr>
  <?php endif;?>
</table>
<?php echo $this->fetch('action', 'history', "objectType=conversion&objectID={$conversion->id}");?>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
