<?php 
/**
 * The view file of gift module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     gift 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include $app->getModuleRoot() . 'common/view/header.html.php'; ?>
<?php include '../../common/view/confirmer.html.php';?>
<div id='mainTitle' class='clearfix'>
  <div class='btn-toolbar pull-left'>
    <?php echo html::a("javascript:history.go(-1);", '<i class="icon icon-back icon-sm"></i> ' . $lang->goback, "class='btn btn-back'");?>
    <div class="divider"></div>
    <div class="page-title">
      <span class="label label-id"><?php echo $gift->id?></span>
      <span class="text" title='<?php echo $gift->name;?>'><?php echo $gift->name;?></span>
    </div>
  </div>
</div>
<div class='main-row'>
  <div class='main-col col-8'>
    <div class='panel panel-block'>
      <div class='panel-heading'><strong><?php echo $lang->gift->desc;?></strong></div>
      <div class='panel-body'><?php echo htmlspecialchars_decode($gift->desc);?></div>
    </div>
    <?php echo $this->fetch('action', 'history', "objectType=gift&objectID={$gift->id}");?>
    <div class='main-actions'>
      <div class='btn-toolbar'>
        <?php echo html::backButton();?>
        <div class='divider'></div>
        <?php echo $this->gift->buildOperateMenu($gift);?>
      </div>
    </div>
  </div>
  <div class='side-col col-4'>
    <div class='panel panel-block basicInfo'>
      <div class='panel-heading'><strong><?php echo $lang->gift->basicInfo;?></strong></div>
      <div class='panel-body'>
        <table class='table table-data'>
          <tr>
            <th class='w-90px'><?php echo $lang->gift->name;?></th>
            <td><?php echo $gift->name;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->gift->score;?></th>
            <td><?php echo $gift->score;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->gift->amount;?></th>
            <td><?php echo $gift->amount;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->gift->limit;?></th>
            <td><?php echo $gift->limit;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->gift->status;?></th>
            <td><?php echo $lang->gift->statusList[$gift->status];?></td>
          </tr>
        </table>
      </div>
    </div> 
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
