<?php
$lang->score->common       = '积分';
$lang->score->browse       = '积分列表';
$lang->score->allGrant     = '所有发放';
$lang->score->grantBrowse  = '发放列表';
$lang->score->reviewBrowse = '审批列表';
$lang->score->giftScore    = '赠予积分';
$lang->score->applyScore   = '申请积分';
$lang->score->grantScore   = '发放积分';
$lang->score->rank         = '积分排名';
$lang->score->type         = '积分分类';
$lang->score->universal    = '通用积分';
$lang->score->levelScore   = '等级积分';
$lang->score->setSect      = '门派设置';
$lang->score->setLevel     = '等级设置';
$lang->score->join         = '加入';
$lang->score->currentSect  = '当前门派';
$lang->score->noSect       = '未加入任何门派';
$lang->score->ranking      = '排名';

$lang->score->id           = '编号';
$lang->score->dept         = '所属部门';
$lang->score->rule         = '积分项';
$lang->score->scoreRule    = '积分规则';
$lang->score->behavior     = '事件/行为';
$lang->score->before       = '之前';
$lang->score->score        = '分值';
$lang->score->after        = '之后';
$lang->score->grantType    = '发放类型';
$lang->score->account      = '发放给';
$lang->score->actionDate   = '活动日期';
$lang->score->applicant    = '申请人';
$lang->score->applyTime    = '申请时间';
$lang->score->time         = '发放时间';
$lang->score->tradeObject  = '交易对象';
$lang->score->giver        = '发放人';
$lang->score->receiver     = '发放给';
$lang->score->reviewer     = '审批人';
$lang->score->system       = '系统';
$lang->score->me           = '我';
$lang->score->desc         = '描述';
$lang->score->status       = '状态';
$lang->score->rejectReason = '拒绝理由';
$lang->score->setReviewer  = '设置审批人';
$lang->score->giftTo       = '赠予给';
$lang->score->giftValue    = '赠予分值';
$lang->score->scoreBalance = "可用分享积分%s分、通用积分%s分";
$lang->score->action       = '操作项';
$lang->score->confirming   = '确认中';
$lang->score->level        = '等级';
$lang->score->threshold    = '最低积分';
$lang->score->scoreLevel   = '积分等级';
$lang->score->sect         = '门派';
$lang->score->code         = '代号';
$lang->score->sectCode     = '门派代号';
$lang->score->sectLevel    = '派阶';
$lang->score->addSect      = '添加门派';

$lang->score->createRule = '添加积分规则';
$lang->score->editRule   = '编辑积分规则';
$lang->score->deleteRule = '删除积分规则';

$lang->score->gift        = '赠予';
$lang->score->apply       = '申请';
$lang->score->give        = '发放';
$lang->score->grant       = '发放';
$lang->score->grantCommon = '发放通用积分';
$lang->score->grantBonus  = '发放绩效积分';
$lang->score->giveService = '发放工龄积分';
$lang->score->giving      = '发放中';
$lang->score->clear       = '清零';
$lang->score->pass        = '通过';
$lang->score->batchPass   = '批量通过';
$lang->score->reject      = '拒绝';

$lang->score->typeList = array();
$lang->score->typeList['']       = '';
$lang->score->typeList['system'] = '系统积分';

$lang->score->myScoreTypeList = array();
$lang->score->myScoreTypeList['common'] = '通用积分';
$lang->score->myScoreTypeList['share']  = '分享积分';

$lang->score->grantTypeList = array();
$lang->score->grantTypeList['common'] = '通用积分';
$lang->score->grantTypeList['bonus']  = '部门绩效';

$lang->score->statusList = array();
$lang->score->statusList['wait']     = '审批中';
$lang->score->statusList['normal']   = '已发放';
$lang->score->statusList['rejected'] = '审批拒绝';

$lang->score->methods = array();
$lang->score->methods['score']['gift']          = '积分赠予';
$lang->score->methods['score']['clear']         = '积分清零';
$lang->score->methods['gift']['exchange']       = '积分兑换';
$lang->score->methods['gift']['cancelExchange'] = '取消兑换';
$lang->score->methods['user']['login']          = '登录';
$lang->score->methods['user']['changePassword'] = '修改密码';
$lang->score->methods['user']['editProfile']    = '修改个人资料';

$lang->score->descList = new stdclass();
$lang->score->descList->currentScore = "当前通用积分：%s，分享积分：%s";
$lang->score->descList->service      = "发放%s年工龄积分，当前工龄%s年";
$lang->score->descList->attendance   = "%s年%s月份全勤积分";
$lang->score->descList->giveShare    = '%s年%s月份的分享积分发放';
$lang->score->descList->giveBonus    = '%s年的绩效积分发放';
$lang->score->descList->clearShare   = '%s年%s月份的分享积分清零';
$lang->score->descList->clearBonus   = '%s年的绩效积分清零';
$lang->score->descList->clearCommon  = '%s年的通用积分清零';
$lang->score->descList->deptScore    = '%s绩效积分 %s；';

$lang->score->tip = new stdclass();
$lang->score->tip->confirmGiveServiceTitle  = "您确认要执行发放工龄积分操作吗？";
$lang->score->tip->confirmGiveServiceDetail = "确认后会自动给成员发放未发放的工龄积分。";
$lang->score->tip->confirmPassTitle         = "您确认要审批通过该条积分申请吗？";
$lang->score->tip->confirmPassDetail        = "确认后将会给该成员发放对应的通用积分。";
$lang->score->tip->giftSuccess              = '赠送成功';
$lang->score->tip->giftRule                 = '赠予分值先从分享积分中扣减，再从通用积分中扣减。';
$lang->score->tip->confirmJoinSect          = '您确定要加入%s吗？';

$lang->score->error = new stdclass();
$lang->score->error->himself                  = "审批人不能选择自己。";
$lang->score->error->expiration               = "只能提交10天以内的积分申请。";
$lang->score->error->cannotDeletedSystemRule  = '不能删除内置积分项';
$lang->score->error->deptScoreNotEnough       = '部门可用积分不足';
$lang->score->error->noPermission             = '没有发放权限';
$lang->score->error->cannotGiftToSelf         = '不能赠送给自己';
$lang->score->error->scoreMinimumLimit        = '赠送积分最小为1';
$lang->score->error->bonusScoreMinimumLimit   = '发放积分最小为1';
$lang->score->error->insufficientScore        = '赠予分值不能大于可用积分';
$lang->score->error->thresholdError           = '高等级的最低积分必须大于低等级的';
$lang->score->error->needScore                = '最低积分不能为空';
$lang->score->error->sectCodeUnique           = '代号不能重复';
$lang->score->error->sectNameUnique           = '门派名不能重复';
$lang->score->error->sectNotExist             = '门派不存在';

$lang->scorerule = new stdclass();
$lang->scorerule->common = '积分规则';
$lang->scorerule->create = '添加';
$lang->scorerule->id     = 'ID';
$lang->scorerule->type   = '分类';
$lang->scorerule->rule   = '积分项';
$lang->scorerule->name   = '名称';
$lang->scorerule->score  = '分值';
$lang->scorerule->desc   = '描述';
$lang->scorerule->action = '操作项';

$lang->score->report = new stdclass();
$lang->score->report->common  = '统计报表';
$lang->score->report->year    = '年份';
$lang->score->report->company = '全公司';
$lang->score->report->dept    = '部门';
$lang->score->report->user    = '人员';
$lang->score->report->item    = '类型';
$lang->score->report->score   = '分值';
$lang->score->report->times   = '次数';

$lang->score->report->types = array();
$lang->score->report->types['exchange'] = '积分兑换统计表';
$lang->score->report->types['gift']     = '积分赠予统计表';

$lang->score->report->menus = array();
$lang->score->report->menus['exchange'] = '积分兑换统计表|score|report|type=exchange';
$lang->score->report->menus['gift']     = '积分赠予统计表|score|report|type=gift';

$lang->score->settings = new stdclass();
$lang->score->settings->setLevel = '等级设置|score|setlevel';
$lang->score->settings->setSect  = '门派设置|score|setsect';

$lang->score->ruleTypeList = new stdclass();
$lang->score->ruleTypeList->system = '系统规则';
$lang->score->ruleTypeList->custom = '自定义规则';

$lang->score->systemRule = new stdclass();
$lang->score->systemRule->module  = '模块';
$lang->score->systemRule->method  = '动作';
$lang->score->systemRule->hour    = '时间间隔';
$lang->score->systemRule->times   = '次数';
$lang->score->systemRule->desc    = '描述';
$lang->score->systemRule->noLimit = '不限制';

$lang->score->rankList = new stdclass(); 
$lang->score->rankList->overall = '总排行榜';
$lang->score->rankList->monthly = '月排行榜';
$lang->score->rankList->weekly  = '周排行榜';
$lang->score->rankList->daily   = '日排行榜';

$lang->score->modules = array();
$lang->score->modules['user'] = '用户';

$lang->score->extended = array();
$lang->score->extended['user']['changePassword'] = '密码强度为中，额外获得##strength,1##个积分；为强，额外获得##strength,2##个积分。';

$lang->score->defaultSect = json_encode(array('default' => array('name' => '玄清派', 'level' => array('居士', '道童', '真人', '地仙', '天仙'))));
